%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major 0
%define libname %mklibname cryptui %{major}
%define girname %mklibname cryptui-gir %{major}.0
%define develname %mklibname -d cryptui

Name:		libcryptui
Summary:	Interface components for OpenPGP
Version:	3.12.2
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://wiki.gnome.org/Apps/Seahorse
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Upstream patches
Patch0101:	0001-Allow-building-with-gnupg-2.1.patch
Patch0102:	0002-Accept-GnuPG-2.2.x-as-supported-version.patch
Patch0103:	0003-libcryptui-fix-logic-flaw-in-the-prompt-recipients-d.patch
Patch0104:	0004-daemon-fix-conflicting-return-types.patch
Patch0105:	0005-daemon-port-to-gcr-3.patch
Patch0106:	0006-daemon-Add-a-hack-to-find-subkeys-identities.patch
Patch0107:	0007-daemon-Fall-back-to-displaying-the-key-ID-if-the-key.patch
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(sm)
BuildRequires:	gnupg2
BuildRequires:	gpgme-devel
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	gobject-introspection-devel
Requires:	gnupg2

%description
libcryptui is a library used for prompting for PGP keys.

%package -n %{libname}
Group:		System/Libraries
Summary:	Interface components for OpenPGP
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
libcryptui is a library used for prompting for PGP keys.

%package -n %{develname}
Group:		Development/Libraries
Summary:	Header files required to develop with libcryptui
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The libcryptui-devel package contains the header files and developer
documentation for the libcryptui library.

%prep
%setup -q
%apply_patches

%build
autoreconf -fiv
%configure2_5x \
	--disable-static \
	--disable-dependency-tracking \
	--disable-update-mime-database \
	--disable-schemas-compile
%make_build

%install
%make_install

%find_lang cryptui

#we don't want these
rm -f %{buildroot}%{_libdir}/*.la

%files -f cryptui.lang
%{_bindir}/seahorse-daemon
%{_datadir}/cryptui
%{_mandir}/man1/*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/pixmaps/cryptui

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*
%{_libdir}/girepository-1.0/CryptUI-%{major}.%{major}.typelib

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gir-1.0/*.gir


%changelog
* Fri Sep 11 2020 tex - 3.12.2-1pclos2020
- import from mga with mods for pclos
